Monday, June 11, 2007

Upgraded Skype version needed to continue using Skypecasts

Skype's engineers have made Skypecasts sound better than ever before. And they want to make sure you enjoy them more than ever before.

Which is why they are asking users to upgrade their Skype software. Windows users should download Skype for Windows 3.2 or later, and Mac users should run at least Skype for Mac 2.6.

Why do all that? As of June 13, older versions will simply no longer be compatible with Skypecasts. Sounds like a bummer, but it’s actually a good thing. The whole Skypecast experience will be better. And upgrading — even just for the hell of it — should make everyone feel good and fashionable anyway..

Villu reports

No comments: